OpenPLI 6.1 - Azbox HD / Me / Minime

Тема в разделе "Firmware/Прошивки Azbox Enigma2", создана пользователем nullpoiter, 16 ноя 2017.

  1. eyup0661

    eyup0661 Новичок

    Регистрация:
    2 янв 2018
    Сообщения:
    1
    Симпатии:
    0
    Премия Azbox Premium OpenATV6.1 Работает ли 4: 2: 2?
    спасибо
     
  2. oktub

    oktub Новичок

    Регистрация:
    2 ноя 2011
    Сообщения:
    35
    Симпатии:
    3
    Здравствуйте уважаемые форумчане!
    Имею Azbox PremiumHD+ с установленным в DOM Spaze Quantum 2.2 на ядре 2.6.22.
    Можно ли в данном случае установить на внешнюю флешку имидж данной темы.
    Если да, то как быть с галочкой Copy kernel в AZUp.
     
  3. vladimir99

    vladimir99 Новичок

    Регистрация:
    24 янв 2011
    Сообщения:
    96
    Симпатии:
    2
    Если оставить ядро 2.6.22, то установить можно, но работать не будет. Я бы посоветовал обзавестись для начала программой MAT (поискать на форуме, может в соседних ветках, точно не помню). Далее с помощью данной программы можно сделать полный бекап установленного имиджа. Затем можно попробовать поставить на флэшку (или в DOM, если поместится) имидж OpenPLI 6.1 и если понравится, то оставить его, что рекомендую сделать, ну, а если не понравится, то с помощью MAT можно восстановить ранее сохраненную копию Spaze Quantum. Устанавливать, естественно, с заменой ядра.
     
    oktub нравится это.
  4. guemplen

    guemplen Пользователь

    Регистрация:
    4 янв 2008
    Сообщения:
    85
    Симпатии:
    6
    решил кто-то проблему корректного отображения родного скина?
     
  5. igrek

    igrek Профи в СатТВ

    Регистрация:
    22 авг 2007
    Сообщения:
    137
    Симпатии:
    13
    По моему скромному мнению, решение проблемы корректного отображения родного скина, никем, не рассматривалась, и рассматриваться не планируется.
    Хотя, увы, отдать должное, для своего времени аппарат был сделан на "уровне".
    Чего один "не убиваемый" пульт стоит ...
     
  6. ndminion

    ndminion Профи в Сат-ТВ

    Регистрация:
    8 ноя 2008
    Сообщения:
    376
    Симпатии:
    75
    Pli HD1 более менее нормально отображает. На счет пульта согласен - сто лет еще работать будет.
    Еще одно, кто обновлялся и через telnet opkg update & upgrade слетает плагин обновления, его нужно заменить.

    Кстати устанавливал сторонние скины - нормально отображается все. Видно уже починили. Все время обновлялся.
     

    Вложения:

    Последнее редактирование: 27 янв 2018
  7. VGraev

    VGraev Пользователь

    Регистрация:
    19 ноя 2010
    Сообщения:
    155
    Симпатии:
    9
    Ребята,а никто из вас не тестировал работу zram на энигма и на openpli у частности
    Что это за зверь ,можно почитать
    Блог начинающего линуксоида.: Zram и Zswap или как увеличить эффективность оперативной памяти

    Вот на пли форуме о нем Strange Swapfile /dev/zram0 ? - [EN] Enduser support - Forums

    Теоретически должно ускорить работу ресиверов,где мало оперативки,при использовании торрентом и приложений ,активно пользующихся оперативу.
     
  8. mikkiby

    mikkiby Любитель Сат-ТВ

    Регистрация:
    22 окт 2008
    Сообщения:
    347
    Симпатии:
    28
    Столкнулся с такой проблемой :
    На Elite стоит Openpli 6.1 с ядром 3.3.1 . Играет радио ( Relax FM и пр.) , плагин Shoutcast все веб-радиостанции воспроизводит.
    Установил на Premium этот же имидж только с ядром 3.9.2 - не хочет играть никакое радио , ни SAT ни WEB.
    Установка с нуля, ничего кроме эмулятора не ставилось. Пробовал плагин WebradioFS - тот же результат
    У кого нибудь на Openpli 6.1 с ядром 3.9.2 работает радио ?
     
  9. guemplen

    guemplen Пользователь

    Регистрация:
    4 янв 2008
    Сообщения:
    85
    Симпатии:
    6
    народ, а что за 2 обновления висят все время и устанавливаться не хотят? Обновлялся и через GUI и через telnet opkg update & upgrade...
    И подскажите простой меди центр чтобы по сети жена могла мульты детям запускать. Через медиа плеер можно, но ей трудно :(
     
    Последнее редактирование: 1 мар 2018
  10. ndminion

    ndminion Профи в Сат-ТВ

    Регистрация:
    8 ноя 2008
    Сообщения:
    376
    Симпатии:
    75
    @mikkiby, ядро 3.9.2 не допиленное, к сожалению. Много чего не идет на этом ядре. Например айпитв идет только через 4097, а через 1 не понимает...хотя это ядро шустрое и видео на нем лучше воспроизводит. Приходится мириться с 3.3.1.
     
    mikkiby нравится это.
  11. mikkiby

    mikkiby Любитель Сат-ТВ

    Регистрация:
    22 окт 2008
    Сообщения:
    347
    Симпатии:
    28
    К сожалению, это так . Переустановил с ядром 3.3.1 и все заработало .
     
  12. hecha71

    hecha71 Пользователь

    Регистрация:
    6 мар 2013
    Сообщения:
    14
    Симпатии:
    5
    так он тебе и пишет что на 3.3.1 будет работать а 3.9.2 ядро "сырое" не доработанное и на нём многое не работает . в чём он не прав? походу кто-то невнимательно читает;)
     
  13. mikkiby

    mikkiby Любитель Сат-ТВ

    Регистрация:
    22 окт 2008
    Сообщения:
    347
    Симпатии:
    28
    Это точно :D
     
  14. oktub

    oktub Новичок

    Регистрация:
    2 ноя 2011
    Сообщения:
    35
    Симпатии:
    3
    А что при установке данного имиджа можно как то выбирать тип ядра?
     
  15. mikkiby

    mikkiby Любитель Сат-ТВ

    Регистрация:
    22 окт 2008
    Сообщения:
    347
    Симпатии:
    28
    Нет. (Ну или я не знаю как :) )
    На тюнере была установлена раньше Openpli 4 с ядром 3.9.2. и при установке этого имиджа OpenPli 6.1 через Azup с выключенной опцией "Copy kernel" ядро сохранилось 3.9.2 . OpenPli 6.1 работу с ядром 3.9.2 поддерживает.
    Если при установке в Azup включить "Copy kernel" - устанавливается ядро 3.3.1
     
    oktub нравится это.
  16. Dreamshow

    Dreamshow Новичок

    Регистрация:
    18 ноя 2017
    Сообщения:
    3
    Симпатии:
    0
    Я установил его на azbox, и я попробовал оба kernel 3.3.1 , 3.9.2 , но 2 ключа wifi не работают. Есть ли решение?
     
  17. VGraev

    VGraev Пользователь

    Регистрация:
    19 ноя 2010
    Сообщения:
    155
    Симпатии:
    9
    здравствуйте,ребята. хотел поделиться информацией, как завел свисток с чипом 8192cu. может кому пригодится, сэкономите время.
    если речь идет о прошивках,официально поддерживаемых сообществом, обычно тактика такая, смотрим на каком чипе свисток.
    (рекомендую ознакомится с USB Wi-Fi адаптеры для ресиверов на Enigma2 , для общего развития можно почитать все 46 страниц). , после этого определяем есть ли модуль ядра для данного чипа,
    root@azboxhd:~# find /lib/modules/3.3.1-opensat/kernel/drivers/net/
    /lib/modules/3.3.1-opensat/kernel/drivers/net/
    /lib/modules/3.3.1-opensat/kernel/drivers/net/wireless
    /lib/modules/3.3.1-opensat/kernel/drivers/net/wireless/rt2x00
    /lib/modules/3.3.1-opensat/kernel/drivers/net/wireless/rt2x00/rt2x00lib.ko
    /lib/modules/3.3.1-opensat/kernel/drivers/net/wireless/rt2x00/rt2x00pci.ko
    /lib/modules/3.3.1-opensat/kernel/drivers/net/wireless/rt2x00/rt61pci.ko
    /lib/modules/3.3.1-opensat/kernel/drivers/net/wireless/rt5370sta.ko
    /lib/modules/3.3.1-opensat/kernel/drivers/net/8192cu.ko

    как раз по этому пути /lib/modules/3.3.1-opensat/kernel/drivers/net/wireless находятся драивера или модули для вайфаи. как мы видим, модуль 8192cu есть( я его закинул туда)
    предположим,что его нет, тогда рассматриваем классический вариант( который у меня не заработал)
    opkg update - загружаем в кеш какие пакеты имеются на фиде
    opkg list | grep 8192cu , вы можете писать ваш чип
    root@azboxhd:~# opkg list | grep 8192cu
    kernel-module-rtl8192cu-3.3.1-opensat - 3.3.1-.4 - rtl8192cu kernel module
    rtl8192cu kernel module; Realtek 8192C/8188C 802.11n USB wireless

    модуль на фиде имеется , осталось его установить
    opkg install kernel-module-rtl8192cu-3.3.1-opensat - 3.3.1-.4
    у меня все установилось, подтянулись зависимости. все вроде бы хорошо, но dmesg пишет,что нет firmware для драивера. как оказалось, для некоторых свистков помимо драивера/модуля нужна и прошивка. Проверял на официальном опенпли на ву ультимо, там нормально. поскольку у меня раньше стояла openspa на азбоксе, свисток на ней определялся, решил вытащить драивер оттуда ( что характерно на опенспа был только дравер без прошивок). тут два варианта установить openspa на флешку через azup,и извлечь драивер оттуда или же второй,как по мне предпочитительный вариант распаковать прошивку опенспа с помощью unpack. вот инструкции
    Howto extract vmlinux from Enigma2 patch.e2? (AZbox Recovery)
    How to unpack a patch.e2 enigma2 file from linux » Official dAm2K Blog

    модуль извлек,закинул в папку /lib/modules/3.3.1-opensat/kernel/drivers/net
    теперь надо его подгрузить в ядро, для начала
    вводим depmod -a и только тогда modprobe 8192cu, смотрим dmesg - видим что определено новое устройство( при условии,что свисток вставлен). все работает до перезагрузки. чтобы модуль загружался автоматом,надо внести его в
    /etc/modules-load.d/_azboxhd.conf
    вот , это уже после того ,как я его внес
    root@azboxhd:~# cat /etc/modules-load.d/_azboxhd.conf
    8192cu
    llad
    em8xxx
    863xi2c
    az_cx24116
    az_mxl201rf
    az_mxl5007t
    az_stv6110x
    az_stv090x
    az_tda10023
    az_zl10353
    nimdetect
    sci
    863xdvb

    рекомендую почитать на archwiki про модули ядра,команды lsmod rmmod modprobe insmod и т.д.
    также еще модулями ядра можно управлять через epanel, которая отлично работает на этом имидже
    Возможно у вас будет работать без таких сложных схем, но у меня вот так. три дня потратил на поиски решения.
    всего хорошего. любите и уважаите друг друга.
     
    LoDbIPb и ndminion нравится это.

Поделиться этой страницей